Package com.sas.services.information.metadata

# Class OMRProxyList

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
com.sas.services.information.metadata.Metadata
com.sas.services.information.metadata.OMRSoftwareComponent
com.sas.services.information.metadata.OMRServer
com.sas.services.information.metadata.OMRServerComponent
com.sas.services.information.metadata.OMRProxyList

All Implemented Interfaces:
  `MetadataInterface`, `ProxyListInterface`, `ServerComponentInterface`, `ServerInterface`, `SoftwareComponentInterface`, `PublicObjectInterface`, `com.sas.storage.editableproperties.SubstitutionProperties`, `Serializable`, `Remote`

public class OMRProxyList extends OMRServerComponent implements ProxyListInterface, com.sas.storage.editableproperties.SubstitutionProperties
OMRProxyList

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final com.sas.util.UsageVersion`
  `CURRENT_VERSION`
  `static final com.sas.util.UsageVersion`
  `OLDEST_VERSION`
  `static final String`
  `PROPERTY_PROXYMACHINE_LIST`

  ### Fields inherited from class com.sas.services.information.metadata.Metadata

  `_actionInterfaces, _children, _isCompatible, _isDestroyPending, _isReadCompatible, _myRefreshInterval, _myState, _omrCreateDate, _omrModifyDate, _repository, _repositoryFlag, _repositoryObject, _treeRefreshTime, formats, gmtZone, OMSOBJ_STRING, REPOSITORY_DAV, REPOSITORY_LOMR, REPOSITORY_NONE, REPOSITORY_OMR, SLASH`

  ### Fields inherited from class java.rmi.server.RemoteObject

  `ref`

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

  ### Fields inherited from interface com.sas.storage.editableproperties.SubstitutionProperties

  `PROPERTY_SUFFIX_DIRPATH, PROPERTY_SUFFIX_FILEPATH, PROPERTY_SUFFIX_HOST, PROPERTY_SUFFIX_PORT, PROPERTY_SUFFIX_URI`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OMRProxyList()`
  Default constructor for the OMRProxyList class
  `OMRProxyList(com.sas.metadata.remote.impl.ServerComponentImpl o)`
  `OMRProxyList(com.sas.metadata.remote.ServerComponent component)`
  `OMRProxyList(com.sas.metadata.remote.ServerComponent o, Class theClass)`
  `OMRProxyList(Class theClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSourceConnection(ConnectionInterface connection)`
  Add a connection definition that can be used to access this server.
  `String`
  `generateNextProxyName()`
  Generates the name of the next proxy in this proxy list.
  `List`
  `getConnectionProperties()`
  Get the properties from the (first) connection.
  `List`
  `getDomains()`
  Get a list of the authentication domains that the server is running in.
  `String`
  `getHost()`
  Get the DNS name for the host the server is running on.
  `List<String>`
  `getProxiedMachines()`
  Returns the list of machines configured to use this proxy.
  `List<ProxyInterface>`
  `getProxies()`
  Returns a list of ProxyInterfaces representing the proxies
  `List<String>`
  `getProxyURIs()`
  Returns the list of proxies as URI strings
  `List`
  `getSourceConnections()`
  Get a List of the connection definitions that provide access to this server.
  `com.sas.storage.editableproperties.PropertyList`
  `getSubstitutionProperties()`
  `int`
  `getTcpPort()`
  Get the port number the server is listening on.
  `void`
  `removeSourceConnection(ConnectionInterface connection)`
  Remove a connection definition from the list that can access this server.
  `void`
  `setHost(String host)`
  Set the DNS name of the host where the server is running.
  `void`
  `setProxiedMachines(List<String> machines)`
  Sets the list of machines configured to use this proxy.
  `void`
  `setProxies(List<ProxyInterface> proxies)`
  Sets the list of proxies based on the given ProxyInterface list.
  `void`
  `setProxyURIs(List<String> uris)`
  Sets the list of proxies based on the given URI strings
  `void`
  `setSubstitutionProperties(com.sas.storage.editableproperties.PropertyMap map)`
  `void`
  `setTcpPort(int port)`
  Set the port number the server is listening on.

  ### Methods inherited from class com.sas.services.information.metadata.OMRServerComponent

  `getInitProcesses, getType, setRepository`

  ### Methods inherited from class com.sas.services.information.metadata.OMRServer

  `addComputeTask, addDataPackage, addProperty, addServed, addServer, addServiceType, getApplicationProtocol, getComputeTasks, getDataPackages, getDescriptiveComponent, getInstallationLocation, getIsLicensed, getMachine, getProperties, getProperties, getProperty, getServed, getServers, getServiceTypeObjects, getServiceTypes, removeComputeTask, removeDataPackage, removeProperty, removeServed, removeServer, removeServiceType, setApplicationProtocol, setInstallationLocation, setIsLicensed, setMachine, setName`

  ### Methods inherited from class com.sas.services.information.metadata.OMRSoftwareComponent

  `addDeployedComponent, addPropertyGroup, addSoftwareGroup, addSoftwareTree, getClassIdentifier, getDependentComponents, getDependsOnComponents, getDeployedComponents, getImplementedObjects, getMajor, getMinor, getPlatform, getPrivateConfigurableProperties, getProductIdentifier, getProductName, getPropertyGroups, getPublicConfigurableProperties, getSoftwareComponentAttributes, getSoftwareGroups, getSoftwareTrees, getSoftwareVersion, getSpecVendor, getSpecVersion, getVendor, getVendorIdentifier, removeDeployedComponent, removePropertyGroup, removeSoftwareGroup, removeSoftwareTree, setClassIdentifier, setDeployedComponents, setImplementedObjects, setMajor, setMinor, setPlatform, setProductIdentifier, setProductName, setPropertyGroups, setSoftwareComponentAttributes, setSoftwareGroups, setSoftwareTrees, setSoftwareVersion, setSpecVendor, setSpecVersion, setVendor, setVendorIdentifier`

  ### Methods inherited from class com.sas.services.information.metadata.Metadata

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addProcessorInterface, addPrompt, addPropertySet, addRemark, addResponsibleParty, addToList, addTransactionListener, addUsedByPrototype, checkin, checkout, checkPulse, clearInformationService, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, deleteRootObject, destroy, fromByteArray, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getContainer, getCreateDate, getCreatedBy, getDefaultLocalizableProperties, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentifier, getIdentities, getImplementors, getInformationService, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getName, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getObjectURI, getParent, getParentPath, getParents, getPath, getPaths, getPathUrl, getPathUrl, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getProcessorInterface, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getTreeRefresh, getTypeDescriptor, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, hashCode, isAuthorized, isCompatible, isConnectionException, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logFormat, logFormat, logFormat, logFormat, logMessage, logMessage, logThrowable, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, notifyTransactionListeners, refresh, removeAccessControl, removeDocument, removeExtension, removeFromList, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, reset, rollback, setAttribute, setAttributes, setCompatibility, setDefaultLocalizableProperties, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setTreeRefresh, setUsingPrototype, startTransaction, toByteArray, toString, transactionEvent, uncheckout, update, updateFromBag, validateNameAndFolder, validateNameAndFolder, version`

  ### Methods inherited from class java.rmi.server.UnicastRemoteObject

  `clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

  ### Methods inherited from class java.rmi.server.RemoteServer

  `getClientHost, getLog, setLog`

  ### Methods inherited from class java.rmi.server.RemoteObject

  `equals, getRef, toStub`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

  ### Methods inherited from interface com.sas.services.information.metadata.ServerComponentInterface

  `getInitProcesses`

  ### Methods inherited from interface com.sas.services.information.metadata.ServerInterface

  `addComputeTask, addDataPackage, addProperty, addServed, addServer, addServiceType, getApplicationProtocol, getClassIdentifier, getComputeTasks, getDataPackages, getDescriptiveComponent, getInstallationLocation, getIsLicensed, getMachine, getPlatform, getProperties, getProperties, getProperty, getServed, getServers, getServiceTypeObjects, getServiceTypes, removeComputeTask, removeDataPackage, removeProperty, removeServed, removeServer, removeServiceType, setApplicationProtocol, setClassIdentifier, setInstallationLocation, setIsLicensed, setMachine, setPlatform`

  ### Methods inherited from interface com.sas.services.information.metadata.SoftwareComponentInterface

  `addDeployedComponent, addPropertyGroup, addSoftwareGroup, addSoftwareTree, getDependentComponents, getDependsOnComponents, getDeployedComponents, getImplementedObjects, getMajor, getMinor, getPrivateConfigurableProperties, getProductIdentifier, getProductName, getPropertyGroups, getPublicConfigurableProperties, getSoftwareComponentAttributes, getSoftwareGroups, getSoftwareTrees, getSoftwareVersion, getSpecVendor, getSpecVersion, getVendor, getVendorIdentifier, removeDeployedComponent, removePropertyGroup, removeSoftwareGroup, removeSoftwareTree, setDeployedComponents, setImplementedObjects, setMajor, setMinor, setProductIdentifier, setProductName, setPropertyGroups, setSoftwareComponentAttributes, setSoftwareGroups, setSoftwareTrees, setSoftwareVersion, setSpecVendor, setSpecVersion, setVendor, setVendorIdentifier`

- ## Field Details

  - ### OLDEST_VERSION

    public static final com.sas.util.UsageVersion OLDEST_VERSION

  - ### CURRENT_VERSION

    public static final com.sas.util.UsageVersion CURRENT_VERSION

  - ### PROPERTY_PROXYMACHINE_LIST

    public static final String PROPERTY_PROXYMACHINE_LIST
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OMRProxyList

    public OMRProxyList() throws RemoteException
    Default constructor for the OMRProxyList class
    Throws:
      `RemoteException`

  - ### OMRProxyList

    public OMRProxyList(Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRProxyList

    public OMRProxyList(com.sas.metadata.remote.ServerComponent o, Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRProxyList

    public OMRProxyList(com.sas.metadata.remote.impl.ServerComponentImpl o) throws RemoteException
    Throws:
      `RemoteException`

  - ### OMRProxyList

    public OMRProxyList(com.sas.metadata.remote.ServerComponent component) throws RemoteException
    Parameters:
      `theClass` -
    Throws:
      `RemoteException`

- ## Method Details

  - ### getProxiedMachines

    public List<String> getProxiedMachines() throws RemoteException, ServiceException
    Description copied from interface: `ProxyListInterface`
    Returns the list of machines configured to use this proxy. The string representation of the Machine object is returned
    Specified by:
      `getProxiedMachines` in interface `ProxyListInterface`
    Returns:
      List containing string representation of Machine objects
    Throws:
      `RemoteException`
      `ServiceException`

  - ### getProxies

    public List<ProxyInterface> getProxies() throws RemoteException, ServiceException
    Description copied from interface: `ProxyListInterface`
    Returns a list of ProxyInterfaces representing the proxies
    Specified by:
      `getProxies` in interface `ProxyListInterface`
    Returns:
      List of ProxyInterface objects for the proxies
    Throws:
      `RemoteException`
      `ServiceException`

  - ### getProxyURIs

    public List<String> getProxyURIs() throws RemoteException, ServiceException
    Description copied from interface: `ProxyListInterface`
    Returns the list of proxies as URI strings
    Specified by:
      `getProxyURIs` in interface `ProxyListInterface`
    Returns:
      List of String objects containing the URIs.
    Throws:
      `RemoteException`
      `ServiceException`

  - ### setProxiedMachines

    public void setProxiedMachines(List<String> machines) throws IllegalArgumentException, ServiceException, RemoteException
    Description copied from interface: `ProxyListInterface`
    Sets the list of machines configured to use this proxy. The string representing the machine name is used.
    Specified by:
      `setProxiedMachines` in interface `ProxyListInterface`
    Parameters:
      `machines` - List containing machine names to use this proxy
    Throws:
      `IllegalArgumentException`
      `ServiceException`
      `RemoteException`

  - ### setProxies

    public void setProxies(List<ProxyInterface> proxies) throws RemoteException, ServiceException
    Description copied from interface: `ProxyListInterface`
    Sets the list of proxies based on the given ProxyInterface list.
    Specified by:
      `setProxies` in interface `ProxyListInterface`
    Parameters:
      `proxies` - The list of ProxyInterface objects to set.
    Throws:
      `RemoteException`
      `ServiceException`

  - ### setProxyURIs

    public void setProxyURIs(List<String> uris) throws RemoteException, ServiceException
    Description copied from interface: `ProxyListInterface`
    Sets the list of proxies based on the given URI strings
    Specified by:
      `setProxyURIs` in interface `ProxyListInterface`
    Parameters:
      `uris` - The list of URI strings to create and set proxy objects for.
    Throws:
      `RemoteException`
      `ServiceException`

  - ### generateNextProxyName

    public String generateNextProxyName() throws RemoteException, ServiceException
    Description copied from interface: `ProxyListInterface`
    Generates the name of the next proxy in this proxy list.
    Specified by:
      `generateNextProxyName` in interface `ProxyListInterface`
    Returns:
      The generated name of the next proxy
    Throws:
      `RemoteException`
      `ServiceException`

  - ### getSubstitutionProperties

    public com.sas.storage.editableproperties.PropertyList getSubstitutionProperties() throws com.sas.storage.editableproperties.UnexpectedSubstitutionException
    Specified by:
      `getSubstitutionProperties` in interface `com.sas.storage.editableproperties.SubstitutionProperties`
    Overrides:
      `getSubstitutionProperties` in class `OMRServerComponent`
    Throws:
      `com.sas.storage.editableproperties.UnexpectedSubstitutionException`

  - ### setSubstitutionProperties

    public void setSubstitutionProperties(com.sas.storage.editableproperties.PropertyMap map) throws com.sas.storage.editableproperties.UnexpectedSubstitutionException
    Specified by:
      `setSubstitutionProperties` in interface `com.sas.storage.editableproperties.SubstitutionProperties`
    Overrides:
      `setSubstitutionProperties` in class `OMRServerComponent`
    Throws:
      `com.sas.storage.editableproperties.UnexpectedSubstitutionException`

  - ### getHost

    public String getHost() throws ServiceException, RemoteException
    Description copied from interface: `ServerInterface`
    Get the DNS name for the host the server is running on.

    Specified by:
      `getHost` in interface `ServerInterface`
    Overrides:
      `getHost` in class `OMRServer`
    Returns:
      The host name.
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - in the event of remote object failure.

  - ### setHost

    public void setHost(String host) throws ServiceException, RemoteException
    Description copied from interface: `ServerInterface`
    Set the DNS name of the host where the server is running.

    Specified by:
      `setHost` in interface `ServerInterface`
    Overrides:
      `setHost` in class `OMRServer`
    Parameters:
      `host` - The host name.
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - in the event of remote object failure.

  - ### getTcpPort

    public int getTcpPort() throws ServiceException, RemoteException
    Description copied from interface: `ServerInterface`
    Get the port number the server is listening on.

    Specified by:
      `getTcpPort` in interface `ServerInterface`
    Overrides:
      `getTcpPort` in class `OMRServer`
    Returns:
      The port number;
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - in the event of remote object failure.

  - ### setTcpPort

    public void setTcpPort(int port) throws ServiceException, RemoteException
    Description copied from interface: `ServerInterface`
    Set the port number the server is listening on.

    Specified by:
      `setTcpPort` in interface `ServerInterface`
    Overrides:
      `setTcpPort` in class `OMRServer`
    Parameters:
      `port` - The port number;
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - in the event of remote object failure.

  - ### getDomains

    public List getDomains() throws ServiceException, RemoteException
    Description copied from interface: `ServerInterface`
    Get a list of the authentication domains that the server is running in.

    Specified by:
      `getDomains` in interface `ServerInterface`
    Overrides:
      `getDomains` in class `OMRServer`
    Returns:
      a List of Strings with the names of the authentication domains the server is running in.
    Throws:
      `ServiceException` - if a service level error occurs.
      `RemoteException` - in the event of remote object failure.

  - ### getConnectionProperties

    public List getConnectionProperties() throws ServiceException, RemoteException
    Description copied from class: `OMRServer`
    Get the properties from the (first) connection.
    Specified by:
      `getConnectionProperties` in interface `ServerInterface`
    Overrides:
      `getConnectionProperties` in class `OMRServer`
    Returns:
      a List of Property objects from the first connection we find, if there are more than one.
    Throws:
      `ServiceException` - in the event of repository error.
      `RemoteException` - in the event of remote object failure.

  - ### getSourceConnections

    public List getSourceConnections() throws ServiceException, RemoteException
    Description copied from interface: `ServerInterface`
    Get a List of the connection definitions that provide access to this server.
    Specified by:
      `getSourceConnections` in interface `ServerInterface`
    Overrides:
      `getSourceConnections` in class `OMRServer`
    Returns:
      A List of `ConnectionInterface` objects that can be used to access this server.
    Throws:
      `ServiceException` - If a server error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### addSourceConnection

    public void addSourceConnection(ConnectionInterface connection) throws ServiceException, RemoteException
    Description copied from interface: `ServerInterface`
    Add a connection definition that can be used to access this server.
    Specified by:
      `addSourceConnection` in interface `ServerInterface`
    Overrides:
      `addSourceConnection` in class `OMRServer`
    Parameters:
      `connection` - A `ConnectionInterface` object that can be used to access this server.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### removeSourceConnection

    public void removeSourceConnection(ConnectionInterface connection) throws ServiceException, RemoteException
    Description copied from interface: `ServerInterface`
    Remove a connection definition from the list that can access this server.
    Specified by:
      `removeSourceConnection` in interface `ServerInterface`
    Overrides:
      `removeSourceConnection` in class `OMRServer`
    Parameters:
      `connection` - The `ConnectionInterface` object to remove from the server.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.